%define	name	avidemux
%define	Name	Avidemux
%define version 2.4
%define rel 2
%define pre 0
%if %pre
%define filename %{name}_%{version}_preview%pre
%define release %mkrel 0.preview%pre.%rel
%else 
%define filename %{name}_%version
%define release %mkrel %rel
%endif

%bcond_with plf

%if %with plf
%define distsuffix plf
%endif

%define	pkgsummary	A free video editor
%define build_mmx 1
%{?_with_mmx: %{expand: %%define build_mmx 1}}
%{?_without_mmx: %{expand: %%define build_mmx 0}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{pkgsummary}
Source0:	http://download.berlios.de/avidemux/%{filename}.tar.gz
License:	GPL
Group:		Video
Url:		http://fixounet.free.fr/avidemux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	SDL-devel
BuildRequires:	nasm
BuildRequires:	libxml2-devel
BuildRequires:	libmad-devel
BuildRequires:	liba52dec-devel
BuildRequires:	libarts-devel 
BuildRequires:	libvorbis-devel
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
# not packaged yet:
#BuildRequires:  libaften-devel
%if %with plf
BuildRequires:	libxvid-devel
BuildRequires:	liblame-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libfaac-devel
BuildRequires:	x264-devel
BuildRequires:  libamrnb-devel
BuildRequires:	dtsdec-devel > 0.0.2-4
%endif
BuildRequires:	automake1.8
BuildRequires:	ImageMagick
Requires: gtk+2.0 >= 2.6.0

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%if %with plf
This package is in PLF because this build has support for codecs
covered by software patents.
%endif

%package cli
Summary:	%{pkgsummary} - command-line version
Group:		Video

%description cli
Avidemux is a free video editor. This package contains the
version with a command-line interface.

%if %with plf
This package is in PLF because this build has support for codecs
covered by software patents.
%endif

%prep
%setup -q -n %filename

%build
sh admin/cvs.sh cvs
%configure2_5x --disable-warnings \
%if %with plf
	--enable-twolame \
	--enable-amr_nb \
%endif
%if ! %build_mmx
	--disable-mmx
%endif

# parallel build broken as of 2.3-0.preview2
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icons
install -d -m755 $RPM_BUILD_ROOT%{_liconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_iconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_miconsdir}
convert avidemux_icon.png -resize 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert avidemux_icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert avidemux_icon.png -resize 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{pkgsummary}
Exec=%{_bindir}/%{name}2_gtk %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;GTK;
EOF
rm -rf %buildroot%_datadir/locale/klingon

%{find_lang} %{name}

%if %mdkversion <= 200710
# compatibility symlink
ln -s avidemux2_gtk %{buildroot}%{_bindir}/avidemux2
%endif

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL TODO History README
%if %mdkversion <= 200710
%{_bindir}/avidemux2
%endif
%{_bindir}/avidemux2_gtk
%_datadir/applications/mandriva-*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files cli -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/avidemux2_cli


%changelog
* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2.4-2mdv2008.1
+ Revision: 154479
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2008.1
+ Revision: 140518
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.4-0.preview3.1mdv2008.1
+ Revision: 108693
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 2.4-0.preview2.1mdv2008.1
+ Revision: 98088
- new version
- drop patch
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4-0.preview1.3mdv2008.0
+ Revision: 34310
- Rebuild with libslang2.

* Tue May 22 2007 Anssi Hannula <anssi@mandriva.org> 2.4-0.preview1.2mdv2008.0
+ Revision: 29612
- rebuild for new directfb

* Thu May 17 2007 Anssi Hannula <anssi@mandriva.org> 2.4-0.preview1.1mdv2008.0
+ Revision: 27655
- 2.4 preview 1
  o fixes loading of projects
- add cli subpackage
- add compatibility symlink for changed binary name on <= 2007.1
- update patch0


* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.3.0-7mdv2007.1
+ Revision: 148360
- rebuild for new firefox

* Thu Mar 15 2007 Anssi Hannula <anssi@mandriva.org> 2.3.0-6mdv2007.1
+ Revision: 144509
- fix buildrequires
- better description
- use provided icons
- fix menu categories
- adapt package for Mandriva
- Import avidemux

* Tue Feb 27 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-5plf2007.1
- rebuild for new firefox

* Thu Feb 22 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-4plf2007.1
- rebuild for new libgiil

* Mon Jan 08 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-3plf2007.1
- rebuild for new firefox

* Thu Dec 07 2006 Gtz Waschk <goetz@zarb.org> 2.3.0-2plf2007.1
- fix firefox build

* Sun Dec 03 2006 Gtz Waschk <goetz@zarb.org> 2.3.0-1plf2007.1
- new version

* Fri Nov 17 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.5plf2007.1
- fix firefox requires on lib64 and when backporting

* Thu Nov 09 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.4plf2007.1
- fix mozilla dep

* Thu Nov 09 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.3plf2007.1
- rebuild for new firefox

* Sun Oct 29 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.2plf2007.1
- disable parallel build

* Fri Oct 20 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.1plf2007.1
- drop the patch
- new version

* Thu Oct 19 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.10plf2007.1
- rebuild

* Tue Sep 19 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.9plf2007.0
- rebuild

* Mon Sep 18 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.8plf2007.0
- rebuild for new firefox

* Sat Sep 09 2006 Anssi Hannula <anssi@zarb.org> 2.2.0-0.preview2b.7plf2007.0
- fix LDFLAGS for lib64 on backports

* Sat Sep 09 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.6plf2007.0
- don't apply the patch on 2006.0

* Wed Aug 30 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.5plf2007.0
- patch for new x264

* Fri Aug 04 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.4plf2007.0
- rebuild for new firefox

* Tue Aug 01 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.3plf2007.0
- Rebuild for new firefox

* Sun Jul 02 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.2plf2007.0
- rebuild

* Fri Jun 23 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.1plf2007.0
- add xdg menu
- new version

* Sun Jun 04 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-5plf2007.0
- Rebuild for new firefox

* Thu May 04 2006 Götz Waschk <goetz@zarb.org> 2.1.2-4plf
- rebuild for new firefox

* Sat Apr 22 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-3plf
- rebuild for new firefox

* Thu Apr 06 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-2plf
- rebuild to fix firefox dep

* Wed Mar 08 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-1plf
- drop patch

* Wed Mar 08 2006 Götz Waschk <goetz@zarb.org> 2.1.2-1plf
- New release 2.1.2

* Fri Feb 03 2006 Götz Waschk <goetz@zarb.org> 2.1.0-3plf
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <goetz@zarb.org> 2.1.0-2plf
- rebuild  for new mozilla-firefox

* Tue Dec 27 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-1plf
- new version

* Thu Oct 27 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step3.2plf
- rebuild for new firefox

* Thu Oct 20 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step3.1plf
- new version

* Tue Sep 27 2005 Goetz Waschk <goetz@ryu.zarb.org> 2.1.0-0.step2.2plf
- add rpath to fix mozilla linking

* Tue Sep 13 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step2.1plf
- enable x264
- rediff the patch
- new version

* Wed Aug 17 2005 Gtz Waschk <goetz@zarb.org> 2.1-0.step1.1plf
- bump deps
- drop source 4
- new version

* Thu Jun 16 2005 Gtz Waschk <goetz@zarb.org> 2.0.40-1plf
- ugly workaround for Cooker's broken gcc4
- new version

* Wed May 04 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc3.1plf
- new version

* Wed Apr 20 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.2plf
- mkrel macro

* Sat Apr 02 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.1plf
- decompress icons
- update buildrequires
- enable mmx (doesn't build otherwise)
- new version

* Fri Apr 01 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc1.1plf
- New release 2.0.38rc1

* Thu Feb 17 2005 Gtz Waschk <goetz@zarb.org> 2.0.36-1plf
- new version

* Mon Dec 06 2004 Laurent Culioli <laurent@zarb.org> 2.0.34-0.test1.1plf
- 2.0.34-test1
- Drop Patch0

* Wed Oct 27 2004 Laurent Culioli <laurent@zarb.org> 2.0.32-1plf
- 2.0.32
- Patch0: mpeg ps fix.

* Sat Aug 14 2004 Gtz Waschk <goetz@zarb.org> 2.0.28-1plf
- source URL
- New release 2.0.28

* Sat Jul 24 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.26-1plf
- update buildrequires
- reenable libtoolize on cooker
- New release 2.0.26

* Mon May 10 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.24-1plf
- add source url
- New release 2.0.24

* Thu Apr 15 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.22-1plf
- don't run libtoolize
- update description
- drop merged patch
- fix buildrequires
- new version

